label {
    display: block;
    margin-bottom: 0.25rem;
}

.form-group:not(:last-child) {
    margin-bottom: .75rem;
}

.form-control {
    background-color: #fff;
    font-family: Arial;
    font-style: normal;
    font-size: 18px;
    color: var(--default);
    width: 100%;
    box-sizing: border-box;
    padding: 9px 10px;
    border: 1px solid;
    border-color: var(--default-border-color);;
}

.form-control:is(.form-control-sm) {
    font-size: 16px;
    padding: 5px;
}

.form-control:is(.form-control-xs) {
    font-size: 14px;
    padding: 5px;
}

.form-control:is([type=file]) {
    padding: 6px 10px;
}

.form-control:is([type=radio], [type=checkbox]) {
    width: max-content;
}

.form-control:is(:disabled) {
    cursor: not-allowed;
    opacity: 0.5;
}

.input-group {
    display: flex;
}

.input-group-icon {
    cursor: pointer;
    line-height: 0;
    padding: 3px 5px;
}

.btn {
    background-color: var(--light);
    border: 1px solid;
    border-color: var(--light);
    font-family: Arial;
    font-style: normal;
    cursor: pointer;
    color: var(--default);
    font-size: 15px;
    font-weight: 400;
    border-radius: 0px;
    letter-spacing: 1px;
    padding: 12px 35px;
}

.abtn{
    display: inline-block;
    padding: 10px 20px;
    border: none;
    border-radius: 4px;
    text-align: center;
    text-decoration: none;
    cursor: pointer;
    transition: background-color 0.3s ease;
}


.btn-sm {
    padding: 8px 24px;
}

.btn-xs {
    font-size: 14px;
    padding: 6px 15px;
}

.btn:is(:disabled, .disabled) {
    opacity: .2;
    cursor: not-allowed;
    color: background-color;
}

.btn-primary {
    background-color: var(--primary);
    border-color: var(--primary);
    color: var(--white);
}

.btn-outline-primary {
    background-color: transparent;
    border-color: var(--primary);
    color: var(--primary);
}

.btn-secondary {
    background-color: var(--secondary);
    border-color: var(--secondary);
    color: var(--white);
}

.btn-outline-secondary {
    background-color: transparent;
    border-color: var(--secondary);
    color: var(--secondary);
}

.btn-success {
    background-color: var(--success);
    border-color: var(--success);
    color: var(--white);
}

.btn-outline-success {
    background-color: transparent;
    border-color: var(--success);
    color: var(--success);
}

.btn-warning {
    background-color: var(--warning);
    border-color: var(--warning);
}


.btn-outline-warning {
    background-color: transparent;
    border-color: var(--warning);
    color: var(--warning);
}

.btn-danger {
    background-color: var(--danger);
    border-color: var(--danger);
    color: var(--white);
}

.btn-outline-danger {
    background-color: transparent;
    border-color: var(--danger);
    color: var(--danger);
}

.btn-dark {
    background-color: var(--dark);
    border-color: var(--dark);
    color: var(--white);
}

.btn-outline-dark {
    background-color: transparent;
    border-color: var(--dark);
    color: var(--dark);
}

.btn-outline-light {
    background-color: transparent;
    border-color: var(--light);
    color: var(--default);
}

.btn-outline-default {
    background-color: transparent;
    border-color: var(--default);
    color: var(--default);
}

[role=botonera-action] {
    width: 45px;
    height: 45px;
    padding: 0;
    line-height: 0;
}

input[type="checkbox"] {
    width: 40px;
    height: 21px;
    appearance: none;
    border: 0;
    border-radius: 30px;
    position: relative;
    transform: translateY(8px);
    margin-right: 10px;
}

input[type="checkbox"]:disabled {
    opacity: 0.5;
}

input[type="checkbox"]::before,
input[type="checkbox"]::after {
    content: '';
    cursor: pointer;
    border-radius: 30px;
    transition: .3s;
    position: absolute;
    left: 0;
    top: 0;
}


input[type="checkbox"]:disabled::before,
input[type="checkbox"]:disabled::after {
    cursor: not-allowed;
    opacity: 0.5;
}

input[type="checkbox"]::before {
    width: 40px;
    display: block;
    height: 21px;
    background-color: #9a9a9a;
}

input[type="checkbox"]:checked::before {
    background-color: #1998ff;
}

input[type="checkbox"]::after {
    position: absolute;
    width: 15px;
    height: 15px;
    background-color: #fff;
    top: 3px;
    left: 3px;
}

input[type="checkbox"]:checked::after {
    transform: translateX(18px);
}

.form-control__wrapper {
    position: relative;
}

.form-control__has-icon {
    padding-right: 40px;
}

.form-control__icon {
    position: absolute;
    right: 0;
    top: 50%;
    transform: translateY(-50%);
    height: 41px;
    border: 0;
    background-color: transparent;
    cursor: pointer;
}